<html>
<head>
<title>Ogre::ExternalTextureSource Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ExternalTextureSource Class Reference<div class="ingroups"><a class="el" href="group__Materials.html">Materials</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ExternalTextureSource" --><!-- doxytag: inherits="Ogre::StringInterface" -->
<p>IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive from.  
 <a href="classOgre_1_1ExternalTextureSource.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ExternalTextureSource:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ExternalTextureSource__inherit__graph.gif" border="0" usemap="#Ogre_1_1ExternalTextureSource_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ExternalTextureSource_inherit__map" id="Ogre_1_1ExternalTextureSource_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection&#45;style, self&#45;defining parameter set to callers." alt="" coords="29,5,171,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ExternalTextureSource-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">CmdFPS</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">CmdInputFileName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">CmdPlayMode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">CmdTecPassState</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a0e34ec6e53b5700a266933002bc79304">ExternalTextureSource</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a0e34ec6e53b5700a266933002bc79304"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#aa919b910a2fbfb4fb250265545730468">~ExternalTextureSource</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor.  <a href="#aa919b910a2fbfb4fb250265545730468"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#aae89efb61be047a316c0baebdee9a7b2">setInputName</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> sIN)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets an input file name - if needed by plugin.  <a href="#aae89efb61be047a316c0baebdee9a7b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#ad196bc06c24c0d17890a760dae247d3d">getInputName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets currently set input file name.  <a href="#ad196bc06c24c0d17890a760dae247d3d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#ae13e199734e244f9155e28a4d534cee3">setFPS</a> (int iFPS)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the frames per second - plugin may or may not use this.  <a href="#ae13e199734e244f9155e28a4d534cee3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#acbcab7cfe0ef98ca8d24677d8123b26f">getFPS</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets currently set frames per second.  <a href="#acbcab7cfe0ef98ca8d24677d8123b26f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a6fdbcf165cc87a51d9a6436162e04080">setPlayMode</a> (<a class="el" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a> eMode)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a play mode.  <a href="#a6fdbcf165cc87a51d9a6436162e04080"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a61b4f8e7e8c76590e0133222645356f6">getPlayMode</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets currently set play mode.  <a href="#a61b4f8e7e8c76590e0133222645356f6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#aa19976a1f1c0399882c95e26ece310dc">setTextureTecPassStateLevel</a> (int t, int p, int s)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Used for attaching texture to <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>, State, and texture unit layer.  <a href="#aa19976a1f1c0399882c95e26ece310dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a01a93264e389d82bd9f61141f2f07b0c">getTextureTecPassStateLevel</a> (int &amp;t, int &amp;p, int &amp;s) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get currently selected <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> attribs.  <a href="#a01a93264e389d82bd9f61141f2f07b0c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a55ce04b61a516a3e0d4286230f41bb84">addBaseParams</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Call from derived classes to ensure the dictionary is setup.  <a href="#a55ce04b61a516a3e0d4286230f41bb84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a414bfd7b2d7923b5c871f4481b5e1218">getPluginStringName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the string name of this <a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a> (as set by the <a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a>)  <a href="#a414bfd7b2d7923b5c871f4481b5e1218"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#aa28903862b13998da8b8b0fb428dfb8e">getDictionaryStringName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns dictionary name.  <a href="#aa28903862b13998da8b8b0fb428dfb8e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a4a1824ba326c263664991a548fe0658e">initialise</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Call this function from manager to init system.  <a href="#a4a1824ba326c263664991a548fe0658e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#acc278d166ca69e6a171a2ff12bc74b9f">shutDown</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shuts down <a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a>.  <a href="#acc278d166ca69e6a171a2ff12bc74b9f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a72f123ce494815d9871a7ab94bba5d17">createDefinedTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sMaterialName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName=<a class="el" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a texture into an already defined material or one that is created new (it's up to plugin to use a material or create one) Before calling, ensure that needed params have been defined via the stringInterface or regular methods.  <a href="#a72f123ce494815d9871a7ab94bba5d17"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a0b6b1db913cfa51bbbcc5ba11263c8fa">destroyAdvancedTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sTextureName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName=<a class="el" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">What this destroys is dependent on the plugin...  <a href="#a0b6b1db913cfa51bbbcc5ba11263c8fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the parameter dictionary for this class.  <a href="#ae3e13925bde11db245f6c9bbf5031a93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a list of parameters valid for this object.  <a href="#adfedfcc90e1d602ec6fa646d4d90f17f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic parameter setting method.  <a href="#ace884b65b722ead9b920b9abf27bf815"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a> (const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> &amp;paramList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic multiple parameter setting method.  <a href="#ae356913ccefbebc4f0119a0599a406fc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic parameter retrieval method.  <a href="#a57397ce47f649e66c5654da05207df0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a> (<a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *dest) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for copying this object's parameters to another object.  <a href="#a702af78cbc4869e64c369fb11c4f1eb5"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g.  <a href="#a1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;className)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for creating a parameter dictionary for the class, if it does not already exist.  <a href="#a681773443d95aea05a486c5d22c15bd1"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a880f4fa2d6c494537a0da0a08071b889">mPluginName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for setting the technique, pass, &amp; state level.  <a href="#a880f4fa2d6c494537a0da0a08071b889"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a55ca5fb3da9c71eab8f8529548248202">mMode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a3621043aea2f5edcc28032a6013cd5a7">mInputFileName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a44a2d5670f7a876e9dff06d88ce83ae9">mUpdateEveryFrame</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a345bf7d73aff2859ce5628e8f5b484d3">mFramesPerSecond</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#aa47ef58a0f251bd727291834bf11375e">mTechniqueLevel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#abeb527adefb26d6e594506bf868ae407">mPassLevel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#aca03d9edd5cb1426ee802d35232341d8">mStateLevel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#acde1eafee1423e396331809c06e32b56">mDictionaryName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The string name of the dictionary name - each plugin must override default name.  <a href="#acde1eafee1423e396331809c06e32b56"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">CmdInputFileName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a04017bdaaeb625500ce8a27fda77df33">msCmdInputFile</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">CmdFPS</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#ab21a7c01aeae747f1bbf0d51f8b29b44">msCmdFramesPerSecond</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for setting input file name.  <a href="#ab21a7c01aeae747f1bbf0d51f8b29b44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">CmdPlayMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#aa7fe34205819a66f3056762657c8aefc">msCmdPlayMode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for setting frames per second.  <a href="#aa7fe34205819a66f3056762657c8aefc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">CmdTecPassState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a786b5d47bacf959dc09eacc68257d3a6">msCmdTecPassState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command for setting play mode.  <a href="#a786b5d47bacf959dc09eacc68257d3a6"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive from. </p>
<p><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> specific requirements that the plugin needs to have defined before texture/material creation must be define using the stringinterface before calling create defined texture... or it will fail, though, it is up to the plugin to report errors to the log file, or raise an exception if need be. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00073">73</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0e34ec6e53b5700a266933002bc79304"></a><!-- doxytag: member="Ogre::ExternalTextureSource::ExternalTextureSource" ref="a0e34ec6e53b5700a266933002bc79304" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a0e34ec6e53b5700a266933002bc79304">Ogre::ExternalTextureSource::ExternalTextureSource</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>

</div>
</div>
<a class="anchor" id="aa919b910a2fbfb4fb250265545730468"></a><!-- doxytag: member="Ogre::ExternalTextureSource::~ExternalTextureSource" ref="aa919b910a2fbfb4fb250265545730468" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ExternalTextureSource.html#aa919b910a2fbfb4fb250265545730468">Ogre::ExternalTextureSource::~ExternalTextureSource</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Virtual destructor. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00079">79</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a55ce04b61a516a3e0d4286230f41bb84"></a><!-- doxytag: member="Ogre::ExternalTextureSource::addBaseParams" ref="a55ce04b61a516a3e0d4286230f41bb84" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ExternalTextureSource.html#a55ce04b61a516a3e0d4286230f41bb84">Ogre::ExternalTextureSource::addBaseParams</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Call from derived classes to ensure the dictionary is setup. </p>

</div>
</div>
<a class="anchor" id="a1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><!-- doxytag: member="Ogre::ExternalTextureSource::cleanupDictionary" ref="a1bea65fa2b3c2ac5a9f3be59b46a80e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">Ogre::StringInterface::cleanupDictionary</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g. </p>
<p><a class="el" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>) initializes. </p>

</div>
</div>
<a class="anchor" id="a702af78cbc4869e64c369fb11c4f1eb5"></a><!-- doxytag: member="Ogre::ExternalTextureSource::copyParametersTo" ref="a702af78cbc4869e64c369fb11c4f1eb5" args="(StringInterface *dest) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">Ogre::StringInterface::copyParametersTo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *&#160;</td>
          <td class="paramname"><em>dest</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for copying this object's parameters to another object. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method takes the values of all the object's parameters and tries to set the same values on the destination object. This provides a completely type independent way to copy parameters to other objects. Note that because of the String manipulation involved, this should not be regarded as an efficient process and should be saved for times outside of the rendering loop. </dd></dl>
<dl class="user"><dt><b></b></dt><dd><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> unrecognised parameters will be ignored as with setParameter method. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">dest</td><td>Pointer to object to have it's parameters set the same as this object. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00301">301</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgreStringInterface_8h_source.html#l00093">Ogre::ParamDictionary::mParamDefs</a>, and <a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">Ogre::StringInterface::setParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="a72f123ce494815d9871a7ab94bba5d17"></a><!-- doxytag: member="Ogre::ExternalTextureSource::createDefinedTexture" ref="a72f123ce494815d9871a7ab94bba5d17" args="(const String &amp;sMaterialName, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ExternalTextureSource.html#a72f123ce494815d9871a7ab94bba5d17">Ogre::ExternalTextureSource::createDefinedTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>sMaterialName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em> = <code><a class="el" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a texture into an already defined material or one that is created new (it's up to plugin to use a material or create one) Before calling, ensure that needed params have been defined via the stringInterface or regular methods. </p>

</div>
</div>
<a class="anchor" id="a681773443d95aea05a486c5d22c15bd1"></a><!-- doxytag: member="Ogre::ExternalTextureSource::createParamDictionary" ref="a681773443d95aea05a486c5d22c15bd1" args="(const String &amp;className)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">Ogre::StringInterface::createParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for creating a parameter dictionary for the class, if it does not already exist. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method will check to see if a parameter dictionary exist for this class yet, and if not will create one. NB you must supply the name of the class (RTTI is not used or performance). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>the name of the class using the dictionary </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if a new dictionary was created, false if it was already there </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00184">184</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgrePrerequisites_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a0b6b1db913cfa51bbbcc5ba11263c8fa"></a><!-- doxytag: member="Ogre::ExternalTextureSource::destroyAdvancedTexture" ref="a0b6b1db913cfa51bbbcc5ba11263c8fa" args="(const String &amp;sTextureName, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ExternalTextureSource.html#a0b6b1db913cfa51bbbcc5ba11263c8fa">Ogre::ExternalTextureSource::destroyAdvancedTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>sTextureName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em> = <code><a class="el" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>What this destroys is dependent on the plugin... </p>
<p>See specific plugin doc to know what is all destroyed (normally, plugins will destroy only what they created, or used directly - ie. just texture unit) </p>

</div>
</div>
<a class="anchor" id="aa28903862b13998da8b8b0fb428dfb8e"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getDictionaryStringName" ref="aa28903862b13998da8b8b0fb428dfb8e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1ExternalTextureSource.html#aa28903862b13998da8b8b0fb428dfb8e">Ogre::ExternalTextureSource::getDictionaryStringName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns dictionary name. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00139">139</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="acbcab7cfe0ef98ca8d24677d8123b26f"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getFPS" ref="acbcab7cfe0ef98ca8d24677d8123b26f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#acbcab7cfe0ef98ca8d24677d8123b26f">Ogre::ExternalTextureSource::getFPS</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets currently set frames per second. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00120">120</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad196bc06c24c0d17890a760dae247d3d"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getInputName" ref="ad196bc06c24c0d17890a760dae247d3d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1ExternalTextureSource.html#ad196bc06c24c0d17890a760dae247d3d">Ogre::ExternalTextureSource::getInputName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets currently set input file name. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00116">116</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae3e13925bde11db245f6c9bbf5031a93"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getParamDictionary" ref="ae3e13925bde11db245f6c9bbf5031a93" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* <a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">Ogre::StringInterface::getParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the parameter dictionary for this class. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Only valid to call this after createParamDictionary. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to <a class="el" href="classOgre_1_1ParamDictionary.html" title="Class to hold a dictionary of parameters for a single class.">ParamDictionary</a> shared by all instances of this class which you can add parameters to, retrieve parameters etc. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00217">217</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3bfa7791753a155b222dfb2706e5218c"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getParamDictionary" ref="a3bfa7791753a155b222dfb2706e5218c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* <a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">Ogre::StringInterface::getParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00222">222</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a57397ce47f649e66c5654da05207df0b"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getParameter" ref="a57397ce47f649e66c5654da05207df0b" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">Ogre::StringInterface::getParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic parameter retrieval method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter to retrieve a string-format value of the parameter in question. If in doubt, check the parameter definition in the list returned from getParameters for the type of this parameter. If you like you can use <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> to convert this string back into a native type. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter to get </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>String value of parameter, blank if not found </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00270">270</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1ParamCommand.html#ae47ea550693403baebbcde11c59e074f">Ogre::ParamCommand::doGet()</a>, and <a class="el" href="OgreStringInterface_8h_source.html#l00099">Ogre::ParamDictionary::getParamCommand()</a>.</p>

</div>
</div>
<a class="anchor" id="adfedfcc90e1d602ec6fa646d4d90f17f"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getParameters" ref="adfedfcc90e1d602ec6fa646d4d90f17f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a>&amp; <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">Ogre::StringInterface::getParameters</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a list of parameters valid for this object. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A reference to a static list of <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection.">ParameterDef</a> objects. </dd></dl>

</div>
</div>
<a class="anchor" id="a61b4f8e7e8c76590e0133222645356f6"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getPlayMode" ref="a61b4f8e7e8c76590e0133222645356f6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#a61b4f8e7e8c76590e0133222645356f6">Ogre::ExternalTextureSource::getPlayMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets currently set play mode. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00124">124</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a414bfd7b2d7923b5c871f4481b5e1218"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getPluginStringName" ref="a414bfd7b2d7923b5c871f4481b5e1218" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1ExternalTextureSource.html#a414bfd7b2d7923b5c871f4481b5e1218">Ogre::ExternalTextureSource::getPluginStringName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the string name of this <a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a> (as set by the <a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a>) </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00137">137</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a01a93264e389d82bd9f61141f2f07b0c"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getTextureTecPassStateLevel" ref="a01a93264e389d82bd9f61141f2f07b0c" args="(int &amp;t, int &amp;p, int &amp;s) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ExternalTextureSource.html#a01a93264e389d82bd9f61141f2f07b0c">Ogre::ExternalTextureSource::getTextureTecPassStateLevel</a> </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>s</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get currently selected <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> attribs. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00130">130</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4a1824ba326c263664991a548fe0658e"></a><!-- doxytag: member="Ogre::ExternalTextureSource::initialise" ref="a4a1824ba326c263664991a548fe0658e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1ExternalTextureSource.html#a4a1824ba326c263664991a548fe0658e">Ogre::ExternalTextureSource::initialise</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Call this function from manager to init system. </p>

</div>
</div>
<a class="anchor" id="ae13e199734e244f9155e28a4d534cee3"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setFPS" ref="ae13e199734e244f9155e28a4d534cee3" args="(int iFPS)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ExternalTextureSource.html#ae13e199734e244f9155e28a4d534cee3">Ogre::ExternalTextureSource::setFPS</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iFPS</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the frames per second - plugin may or may not use this. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00118">118</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="aae89efb61be047a316c0baebdee9a7b2"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setInputName" ref="aae89efb61be047a316c0baebdee9a7b2" args="(String sIN)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ExternalTextureSource.html#aae89efb61be047a316c0baebdee9a7b2">Ogre::ExternalTextureSource::setInputName</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>sIN</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets an input file name - if needed by plugin. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00114">114</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="ace884b65b722ead9b920b9abf27bf815"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setParameter" ref="ace884b65b722ead9b920b9abf27bf815" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">Ogre::StringInterface::setParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic parameter setting method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter and a string version of the value to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter to set </td></tr>
    <tr><td class="paramname">value</td><td>String value. Must be in the right format for the type specified in the parameter definition. See the <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> class for more information. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if set was successful, false otherwise (NB no exceptions thrown - tolerant method) </dd></dl>

<p>Referenced by <a class="el" href="OgreStringInterface_8h_source.html#l00301">Ogre::StringInterface::copyParametersTo()</a>.</p>

</div>
</div>
<a class="anchor" id="ae356913ccefbebc4f0119a0599a406fc"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setParameterList" ref="ae356913ccefbebc4f0119a0599a406fc" args="(const NameValuePairList &amp;paramList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">Ogre::StringInterface::setParameterList</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> &amp;&#160;</td>
          <td class="paramname"><em>paramList</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic multiple parameter setting method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with a list of name / value pairs to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">paramList</td><td>Name/value pair list </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6fdbcf165cc87a51d9a6436162e04080"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setPlayMode" ref="a6fdbcf165cc87a51d9a6436162e04080" args="(eTexturePlayMode eMode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ExternalTextureSource.html#a6fdbcf165cc87a51d9a6436162e04080">Ogre::ExternalTextureSource::setPlayMode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a>&#160;</td>
          <td class="paramname"><em>eMode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets a play mode. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00122">122</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa19976a1f1c0399882c95e26ece310dc"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setTextureTecPassStateLevel" ref="aa19976a1f1c0399882c95e26ece310dc" args="(int t, int p, int s)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ExternalTextureSource.html#aa19976a1f1c0399882c95e26ece310dc">Ogre::ExternalTextureSource::setTextureTecPassStateLevel</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>s</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Used for attaching texture to <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>, State, and texture unit layer. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00127">127</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc278d166ca69e6a171a2ff12bc74b9f"></a><!-- doxytag: member="Ogre::ExternalTextureSource::shutDown" ref="acc278d166ca69e6a171a2ff12bc74b9f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ExternalTextureSource.html#acc278d166ca69e6a171a2ff12bc74b9f">Ogre::ExternalTextureSource::shutDown</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shuts down <a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a>. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="acde1eafee1423e396331809c06e32b56"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mDictionaryName" ref="acde1eafee1423e396331809c06e32b56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#acde1eafee1423e396331809c06e32b56">Ogre::ExternalTextureSource::mDictionaryName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The string name of the dictionary name - each plugin must override default name. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00185">185</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a345bf7d73aff2859ce5628e8f5b484d3"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mFramesPerSecond" ref="a345bf7d73aff2859ce5628e8f5b484d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#a345bf7d73aff2859ce5628e8f5b484d3">Ogre::ExternalTextureSource::mFramesPerSecond</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00176">176</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3621043aea2f5edcc28032a6013cd5a7"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mInputFileName" ref="a3621043aea2f5edcc28032a6013cd5a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#a3621043aea2f5edcc28032a6013cd5a7">Ogre::ExternalTextureSource::mInputFileName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00172">172</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a55ca5fb3da9c71eab8f8529548248202"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mMode" ref="a55ca5fb3da9c71eab8f8529548248202" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#gaff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#a55ca5fb3da9c71eab8f8529548248202">Ogre::ExternalTextureSource::mMode</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00170">170</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="abeb527adefb26d6e594506bf868ae407"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mPassLevel" ref="abeb527adefb26d6e594506bf868ae407" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#abeb527adefb26d6e594506bf868ae407">Ogre::ExternalTextureSource::mPassLevel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00176">176</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a880f4fa2d6c494537a0da0a08071b889"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mPluginName" ref="a880f4fa2d6c494537a0da0a08071b889" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#a880f4fa2d6c494537a0da0a08071b889">Ogre::ExternalTextureSource::mPluginName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Command for setting the technique, pass, &amp; state level. </p>
<p>String Name of this <a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a> </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00167">167</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab21a7c01aeae747f1bbf0d51f8b29b44"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msCmdFramesPerSecond" ref="ab21a7c01aeae747f1bbf0d51f8b29b44" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">CmdFPS</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#ab21a7c01aeae747f1bbf0d51f8b29b44">Ogre::ExternalTextureSource::msCmdFramesPerSecond</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Command for setting input file name. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00161">161</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04017bdaaeb625500ce8a27fda77df33"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msCmdInputFile" ref="a04017bdaaeb625500ce8a27fda77df33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">CmdInputFileName</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#a04017bdaaeb625500ce8a27fda77df33">Ogre::ExternalTextureSource::msCmdInputFile</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00160">160</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7fe34205819a66f3056762657c8aefc"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msCmdPlayMode" ref="aa7fe34205819a66f3056762657c8aefc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">CmdPlayMode</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#aa7fe34205819a66f3056762657c8aefc">Ogre::ExternalTextureSource::msCmdPlayMode</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Command for setting frames per second. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00162">162</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a786b5d47bacf959dc09eacc68257d3a6"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msCmdTecPassState" ref="a786b5d47bacf959dc09eacc68257d3a6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">CmdTecPassState</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#a786b5d47bacf959dc09eacc68257d3a6">Ogre::ExternalTextureSource::msCmdTecPassState</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Command for setting play mode. </p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00163">163</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="aca03d9edd5cb1426ee802d35232341d8"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mStateLevel" ref="aca03d9edd5cb1426ee802d35232341d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#aca03d9edd5cb1426ee802d35232341d8">Ogre::ExternalTextureSource::mStateLevel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00176">176</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa47ef58a0f251bd727291834bf11375e"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mTechniqueLevel" ref="aa47ef58a0f251bd727291834bf11375e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#aa47ef58a0f251bd727291834bf11375e">Ogre::ExternalTextureSource::mTechniqueLevel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00176">176</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a44a2d5670f7a876e9dff06d88ce83ae9"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mUpdateEveryFrame" ref="a44a2d5670f7a876e9dff06d88ce83ae9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ExternalTextureSource.html#a44a2d5670f7a876e9dff06d88ce83ae9">Ogre::ExternalTextureSource::mUpdateEveryFrame</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h_source.html#l00174">174</a> of file <a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreExternalTextureSource_8h_source.html">OgreExternalTextureSource.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
